

<?php



    require_once('../odbconexion/config.php');



	include('../cookies.php');

	include('../centinela.php');

	$objeto = new galletas();

	require_once('../bussines/fix_characters.php');

	$Obj_fix_characters=new fix_characters();

	$token=!empty($_REQUEST['token'])?$_REQUEST['token']:'';

	try{



    date_default_timezone_set('America/Mexico_City');

    $Odbj_conexion = new odbconexion;

	$conexion=$Odbj_conexion->openconection();

	$consulta="SELECT * FROM recuperar_cuenta_appquadrata WHERE RC_Token = '$token' ORDER BY Id_Recuperar_Cuenta DESC limit 1";

	$Array_adapter=$conexion->query($consulta);

	$conexion->close();

	if($Array_adapter->num_rows > 0){

	   while($campos=$Array_adapter->fetch_assoc())

	   {

						// Fecha establecida en formato 'Y-m-d H:i:s'

		    $fecha_establecida = $campos['Usu_Fecha_Hora_Solicitud'];

            $estatus_RC = $campos['RC_Estatus'];

            $Id_Login = $campos['Id_Fk_Login'];

		}

					//echo $fecha_establecida;

					$fechaHora = date('Y-m-d H:i:s');

					$fecha1 = new DateTime($fecha_establecida);

					$fecha2 = new DateTime($fechaHora);

					$intervalo = $fecha1->diff($fecha2);

					$diasTranscurridos = $intervalo->format('%a');



					//if($diasTranscurridos>0){

						 session_start();

						$Titulo_App='';

						$Descripcion_Login_App='';

						$Logo_APP='';

						$Logo_Fav_Icon='';

						try{    



						    $Odbj_conexion = new odbconexion;

						    $conexion=$Odbj_conexion->openconection();

						    $consulta="SELECT * FROM configuracion_app_appquadrata";

						    $Array_adapter_config=$conexion->query($consulta);

						    $conexion->close();

						    while($Field_config=$Array_adapter_config->fetch_assoc())

						    {   

						        $Titulo_App=$Field_config['Titulo_App'];

						        $Descripcion_Login_App=$Field_config['Descripcion_Login_App'];

						        $Logo_APP=$Field_config['Logo_APP'];

						        $Logo_Fav_Icon=$Field_config['Logo_Fav_Icon'];

						    }

						}catch (Exception $e) {

						        echo 'Excepcion capturada: ',  $e->getMessage(), "

						                    ";

						}

						

						//Declaramos la variable time, para que al modificar un archivo, este no se guarde en cache y se vizualicen los cambios

                        $time_log_assets=time();

                        /*inicializamos valores para la configuracion del template*/

                        $setting_template='../settings_template.txt';

                        $variables=[];

                        $_Color='';

                        $_Template='';

                        $_Theme_Template='';

                        $_Css='';

                        $_Js='';

                        if (file_exists($setting_template)) {

                            $lines = file($setting_template, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);

                            foreach ($lines as $line) {

                                list($nombre_variable, $valor) = explode('=', $line);

                                $variables[$nombre_variable] = $valor;

                            }

                            /*recogemos los valores de las variables*/

                            if (isset($variables['Color'])) {

                                $_Color = $variables['Color'];

                        

                                //echo "El color es: $_Color";

                            }

                            if (isset($variables['Template'])) {

                                $_Template = $variables['Template'];

                                //echo "El Template es: $_template";

                            }

                            if (isset($variables['Theme_Template'])) {

                                $_Theme_Template = $variables['Theme_Template'];

                                //echo "El Theme_Template es: $_Theme_Template";

                            }

                            if (isset($variables['css'])) {

                                $_Css = $variables['css'];

                                //echo "El css es: $_Css";

                            }

                            if (isset($variables['js'])) {

                                $_Js = $variables['js'];

                                //echo "El js es: $_Js";

                            }

                        }

                        /*terminan valores de configuracion pára el template*/

?>

<!DOCTYPE html>

<html lang="en" class="light <?php if($_Color!=''){ echo 'theme-user'; }else{ echo $_Theme_Template; }?>">

    <!-- BEGIN: Head -->

    <head>

        <meta charset="utf-8">

        <?php

            if($Logo_Fav_Icon==''){

                echo "

                <link href=\"../dist/images/logo.svg\" rel=\"shortcut icon\" type=\"image/x-icon\" style=\"color:black;\">

                ";

            }else{

                try {

                    if (file_exists("../".str_replace('../','',$Logo_Fav_Icon))){

                        $time_icon=time();

                        $time_icon=filectime("../".str_replace('../','',$Logo_Fav_Icon));

                        echo "

                        <link href=\"../".str_replace('../','',$Logo_Fav_Icon)."?dummy=".$time_icon."\" rel=\"shortcut icon\">

                        ";

                    }else{

                        echo "

                        <link href=\"../dist/images/logo.svg\" rel=\"shortcut icon\" type=\"image/x-icon\" style=\"color:black;\">

                        ";  

                    }

                } catch (Exception $e) {

                    //echo "Ha ocurrido un error: " . $e->getMessage();

                }

            }

        ?>

        <meta name="viewport" content="width=device-width, initial-scale=1">

        <meta name="description" content="Desarrollado por SINAPSYS DEVOPS SA DE CV">

        <meta name="keywords" content="admin template, web app">

        <meta name="author" content="SINAPSYS">

        <title> <?=$Titulo_App;?> | Recuperar cuenta</title>

        <!-- BEGIN: CSS Assets-->

        <link rel="stylesheet" href="../dist/css/<?=$_Css;?>?time=<?=$time_log_assets;?>" />

        <!-- END: CSS Assets-->

        <style type="text/css">



            @media (min-width:1025px){

                .logo{

                    display: none;

                }

            }

            @media (max-width:1024px){



                .logo{

                    display: block !important;

                }

            }



        </style>

    </head>

        <?php 

        require_once('../logued.php');



            $error=!empty($_REQUEST['error'])?$_REQUEST['error']:'';

            $login=!empty($_REQUEST['login'])?$_REQUEST['login']:'';

            $login_v=!empty($_REQUEST['login_v'])?$_REQUEST['login_v']:'';

            $intentos=!empty($_REQUEST['intentos'])?$_REQUEST['intentos']:0;

            $sessionactive = array_key_exists('login_appquadrata', $_SESSION) ? $_SESSION['login_appquadrata'] : '';

      

            if ($sessionactive==1) {

                if ($_SESSION['login_appquadrata']==1) 

                {

                    echo"<script language='javascript'>window.location='./home'</script>;";

                    exit();

                }

            }

            else

            {

                $cookieactive = array_key_exists('onstar_appquadrata', $_COOKIE) ? $_COOKIE['onstar_appquadrata'] : '';

                if ($cookieactive==1) {     

                    if ($_COOKIE['onstar_appquadrata']==1)

                    {

                        echo"<script language='javascript'>window.location='./login/secure/4c9184f37cff01bcdc32dc486ec36961.php?ee11cbb19052e40b07aac0ca060c23ee=$_COOKIE[tokenusu_appquadrata]&4c882dcb24bcb1bc225391a602feca7c=$_COOKIE[token_appquadrata]'</script>;";

                    }

                }

            }

        ?>

        

    <!-- END: Head -->

    <body class="login"  onload="Queen_Guard();">

        <div class="container sm:px-10">

            <div class="block xl:grid grid-cols-2 gap-4">

                <!-- BEGIN: Login Info -->

                <div class="hidden xl:flex flex-col min-h-screen">

                    <a href="" class="-intro-x flex items-center pt-5">

                    </a>

                    <div class="my-auto">

                    	<?php 

	                    	if($Logo_APP==''){

		                        echo '<img alt="'.$Titulo_App.' - Admin Template" class="-intro-x w-1/2 -mt-16" src="../dist/images/illustration.svg">';

		                    }else{

		                        $time=time();

                                 $time=filectime('../'.str_replace('../','',$Logo_APP));

		                    	echo '<img style="color:white;" alt="'.$Titulo_App.' - Admin Template" width="40%" class="-intro-x -mt-16"  src="../'.str_replace('../','',$Logo_APP).'?dummy='.$time.'"> ';

		                    }

	                    ?>

                        <div class="-intro-x text-white font-medium text-2xl leading-tight mt-10" style="width:85%;">

                            <?php

                            	//echo $Descripcion_Login_App;

                            echo "";

                            ?>

                        </div>

                        <!--<div class="-intro-x mt-5 text-lg text-white text-opacity-70 dark:text-slate-400">Manage all your e-commerce accounts in one place</div>-->

                    </div>

                </div>

                <!-- END: Login Info -->

                <!-- BEGIN: Login Form -->

                

                <div class="h-screen xl:h-auto flex py-5 xl:py-0 my-10 xl:my-0">

                    <div class="my-auto mx-auto xl:ml-20 bg-white dark:bg-darkmode-600 xl:bg-transparent px-5 sm:px-8 py-8 xl:p-0 rounded-md shadow-md xl:shadow-none w-full sm:w-3/4 lg:w-2/4 xl:w-auto">

                        <center>

                        <?php

                            if($Logo_APP==''){

		                        echo '<img class="logo" alt="'.$Titulo_App.' - Admin Template" width="110" src="../dist/images/illustration.svg">';

		                    }else{

		                        $time=time();

                                 $time=filectime('../'.str_replace('../','',$Logo_APP));

		                    	echo '<img class="logo" style="color:white;" alt="'.$Titulo_App.' - Admin Template" width="110"  src="../'.str_replace('../','',$Logo_APP).'?dummy='.$time.'">';

		                    }

		                    ?>

                        </center>

                        <h2 class="intro-x font-bold text-2xl xl:text-3xl text-center xl:text-left">

                            Recupera tu cuenta

                        </h2>

                        <div class="intro-x mt-2 text-slate-400 xl:hidden text-justify">

                        <?php

                            //echo "Ingresa tu correo electrónico o número de celular para iniciar el proceso de recuperación de tu cuenta.";

                        	//echo $Descripcion_Login_App;

                        ?>



                        </div>

                        <?php if($diasTranscurridos>0){?>

                            <h1>El tiempo para la recuperación de su cuenta ha vencido, intente nuevamente.</h1>

                            <div class="intro-x mt-5 xl:mt-8 text-center xl:text-right">

                            <a href='./' class="btn btn-secondary py-3 px-4 w-full xl:w-32 xl:mr-3 align-top">Cancelar</a>

                            <a href='./recovery.php' class="btn btn-primary py-3 px-4 w-full xl:w-32 xl:mr-3 align-top">Recuperar</a>



                        </div>

                        <?php }else if($estatus_RC=='Proceso finalizado'){?>

                            <h1>El proceso ya ha sido finalizado anteriormente.</h1>

                            <div class="intro-x mt-5 xl:mt-8 text-center xl:text-right">

                            

                            <a href='./' class="btn btn-primary py-3 px-4 w-full xl:w-32 xl:mr-3 align-top">iniciar sesión</a>

                            <!--<a href='formulario.php' style="background-color: lightblue;color:white;" class="btn btn-outline-secondary py-3 px-4 w-full xl:w-64 mt-3 xl:mt-0 align-top">Nuevo registro</a>-->

                        </div>

                        <br><br>

                        <?php

                            if (strstr($error, "°")) 

                            { 

                                //catch error.

                                $messageerror="";

                                $type="danger";

                                if (strstr($error, "2")) 

                                {

                                    $messageerror=$messageerror."Proceso finalizado con exito, inicie sesión en su cuenta!";

                                $type="success";

                                }

                                

                                echo "

                                <center>

                                    <div class='alert alert-{$type} alert-dismissable'>

                                        <strong Style='font-weight: 700;'>$messageerror</strong>

                                    </div>

                                </center>

                                ";

                            }

                         }else{ ?>





                            <form onsubmit="return checkSubmit();" action="secure/6ccf929934691710135f3f0df7cc43c6.php" method="POST">

                        <div class="intro-x mt-8">

                            <input type="password" class="intro-x login__input form-control py-3 px-4 block" placeholder="password" minlength="6" maxlength="12" name="ee11cbb19052e40b07aac0ca060c23ee"  required>



                        </div>

                        <div class="intro-x mt-8">

                            <input type="password" class="intro-x login__input form-control py-3 px-4 block" placeholder="confirmar contraseña" minlength="6" maxlength="12" name="ee11cbb19052e40b07aac0ca060c23dd" required>

                            <input type="hidden" name="token" value="<?=$token?>">

                            <input type="hidden" name="Id_Login" value="<?=$Id_Login?>">



                        </div>

                        <div class="intro-x mt-5 xl:mt-8 text-center xl:text-right">

                            <button class="btn btn-secondary py-3 px-4 w-full xl:w-32 xl:mr-3 align-top">Cancelar</button>

                            <button class="btn btn-primary py-3 px-4 w-full xl:w-32 xl:mr-3 align-top">Recuperar</button>

                            <!--<a href='formulario.php' style="background-color: lightblue;color:white;" class="btn btn-outline-secondary py-3 px-4 w-full xl:w-64 mt-3 xl:mt-0 align-top">Nuevo registro</a>-->

                        </div>

                        

                        </form>



                        <br>

                        <br>

                                                <?php

                            if (strstr($error, "°")) 

                            { 

                                //catch error.

                                $messageerror="";

                                $type="danger";

                                if (strstr($error, "1")) 

                                {

                                    $messageerror=$messageerror."Error: las contraseñas ingresadas no coinciden, verifica e intenta de nuevo.";

                                $type="danger";

                                }

                                

                                echo "

                                <center>

                                    <div class='alert alert-{$type} alert-dismissable'>

                                        <strong Style='font-weight: 700;'>$messageerror</strong>

                                    </div>

                                </center>

                                ";

                            }



                        ?>



                    <?php } ?>

                        <!--aqui termina los campos del formulario-->

                        <!--<div class="intro-x mt-10 xl:mt-24 text-slate-600 dark:text-slate-500 text-center xl:text-left"> By signin up, you agree to our <a class="text-primary dark:text-slate-200" href="">Terms and Conditions</a> & <a class="text-primary dark:text-slate-200" href="">Privacy Policy</a> </div>-->

                    </div>

                </div>

                <!-- END: Login Form -->



            </div>

        </div>

        </div>

        <!-- END: Dark Mode Switcher-->

        

        <!-- BEGIN: JS Assets-->

        <script src="../dist/js/app.js"></script>

        <!-- END: JS Assets-->

    </body>

</html>

					<?php

					//}

					//echo '<p>Entre '.$fecha_establecida.' y '.$fechaHora.' hay '.minutosTranscurridos($fecha_establecida,$fechaHora).' minutos</p>';

					/*echo $fechaHora;



// Convertir la fecha establecida a marca de tiempo

$marca_tiempo_establecida = strtotime($fecha_establecida);



// Obtener la marca de tiempo actual

$marca_tiempo_actual = time();



// Calcular la marca de tiempo después de 20 minutos

$marca_tiempo_20minutos_despues = $marca_tiempo_establecida + (20 * 60); // 20 minutos * 60 segundos



// Validar si aún no han pasado 20 minutos

if ($marca_tiempo_actual < $marca_tiempo_20minutos_despues) {

    echo "No han pasado 20 minutos desde la fecha establecida.\n";

} else {

    echo "Han pasado 20 minutos desde la fecha establecida.\n";

}*/

				}

		}catch (Exception $e) {

			echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

		}







function minutosTranscurridos($fecha_i,$fecha_f)

{

$minutos = (strtotime($fecha_i)-strtotime($fecha_f))/60;

$minutos = abs($minutos); $minutos = floor($minutos);

return $minutos;

}



?>

